
rm(list = ls(all.names = TRUE))

# Create the points
p1 <- data.frame(time = "2016-01-01 01:00:00", lon = 0, lat = 0, id = "1")
p2 <- data.frame(time = "2016-01-01 03:00:00", lon = 2, lat = 0, id = "1")
p3 <- data.frame(time = "2016-01-01 02:00:00", lon = 1, lat = 1, id = "2")
p1$time <- as.POSIXct(p1$time)
p2$time <- as.POSIXct(p2$time)
p3$time <- as.POSIXct(p3$time)

# Combine into a line for illustration on a map
line <- rbind(p1, p2, p3)
rm(p1, p2, p3)

psyo_line_map <- plot_map(line)

# Save data
save(
  psyo_line_map,
  file = "../../data/psyo_line_map.RData",
  compress = "bzip2"
)
