\name{dir_add_csv}

\alias{dir_add_csv}

\title{
Bind CSV data to data frame
}

\description{
Read CSV file in directory and bind data to a data frame.
}

\usage{
dir_add_csv(tracks, dir, merge_by = "id")
}

\arguments{
  \item{tracks}{\code{\link{psyo}}. Data frame with tracks.}
  \item{dir}{The path to the CSV file.}
  \item{merge_by}{The column in the \emph{data_frame} and the CSV file that is used to merge the data.}
}

\value{
\emph{Data frame}
}

\note{
  The function ignores multiple segments in the GPX file. If you want to find the gaps between the segments you could use the functions \code{\link{t_time_difference}} and \code{\link{mark_time_gaps}.}

  Further does the function sort the data by time.
}

\section{Credit}{
  If you use Psyosphere for commercial use or research, please support us by include one off the following references:
  \itemize{
    \item{\bold{Creative Commons:} "Psyosphere" by B. Ziepert, E. G. Ufkes & P. W. de Vries from analyse-gps.com / CC-BY-SA-4.0}
    \item{\bold{APA}: de Vries, P. W., et al. (2016). "De psychologie van bewegingen GPS-technologie voor de analyse van natuurlijk gedrag." Tijdschrift voor Human Factors 2: 11-15.}
  }
}

\author{
Benjamin Ziepert
}

\seealso{
  \code{\link{dir_get_gpx}}
}

\examples{
data(psyo)
# You should copy the ids.csv file from the psyosphere package to make this example work
# tracks <- psyosphere::dir_add_csv(psyo, "demo/data/psyo_rounds/ids.csv")
}
