\name{dir_get_gpx}

\alias{dir_get_gpx}

\title{
Read GPX files from directory into data frame.
}

\description{
Read GPX files from directory into data frame.
}

\usage{
dir_get_gpx(dir, tz = "")
}

\arguments{
  \item{dir}{\emph{character}. The directory of the GPX files relative to the working directory.}
  \item{tz}{\emph{character}. The time zone for the time stamp of the coordinates.}
}

\details{
To avoid problems with the time zone it is advisable to set it. Otherwise the system time is used and this can result in different times on different computers. See \link[base]{timezones}.
}

\value{
Data frame as \code{\link{psyo}}.
}

\section{Credit}{
  If you use Psyosphere for commercial use or research, please support us by include one off the following references:
  \itemize{
    \item{\bold{Creative Commons:} "Psyosphere" by B. Ziepert, E. G. Ufkes & P. W. de Vries from analyse-gps.com / CC-BY-SA-4.0}
    \item{\bold{APA}: de Vries, P. W., et al. (2016). "De psychologie van bewegingen GPS-technologie voor de analyse van natuurlijk gedrag." Tijdschrift voor Human Factors 2: 11-15.}
  }
}

\author{
Benjamin Ziepert
Dr. Elze Ufkes
}

\seealso{
  \code{\link{dir_add_csv}}, \link[base]{timezones}
}

\examples{
# Check out the demos that are included with psyosphere for a working example.
# tracks <- psyosphere::dir_get_gpx("gps_files")
?psyosphere::about_demos
}
