\name{psyosphere}
\alias{psyosphere-package}

\title{Psyosphere details}

\description{
Analyse GPS Data. This tool is developed to simplify research with GPS data especially for behavioural studies.
}

\docType{package}

\details{

  Psyosphere uses geodata data frames to store tracks. For the format, you can read \code{\link{psyo}}.

  The package handles latitude and longitude and mostly ignores elevation.

  For the first steps please read \link{about_analysing_tips}

}

\section{Credit}{
  If you use Psyosphere for commercial use or research, please support us by include one off the following references:
  \itemize{
    \item{\bold{Creative Commons:} "Psyosphere" by B. Ziepert, E. G. Ufkes & P. W. de Vries from analyse-gps.com / CC-BY-SA-4.0}
    \item{\bold{APA}: de Vries, P. W., et al. (2016). "De psychologie van bewegingen GPS-technologie voor de analyse van natuurlijk gedrag." Tijdschrift voor Human Factors 2: 11-15.}
  }
}

\section{Credits}{
  For Psyosphere we made use of the following software:

  \itemize{
    \item{"R" by The R foundation from r-project.org / GNU-2}
    \item{"RStudio" by RStudio from rstudio.com / AGPL v3}

    \item{"ggmap" by D. Kahle & H. Wickham from cran.rstudio.com / GPL-2}
    \item{"rgdal" by R. Bivand, T. Keitt, B. Rowlingson, E. Pebesma, M. Sumner, R. Hijmans & E. Rouault from cran.rstudio.com / GPL-2}
    \item{"plyr" by H. Wickham from cran.rstudio.com / MIT}
    \item{"geosphere" by R. Hijmans, E. Williams & C. Vennes from cran.rstudio.com / GPL-3}
    \item{"ggplot2" by H. Wickham, W. Chang & RStudio from cran.rstudio.com / GPL-2}
    \item{"sp" by E. Pebesma, R. Bivand, B. Rowlingson, V. Gomez-Rubio, R. Hijmans, M. Sumner, D. MacQueen, J. Lemon & J. O'Brien from cran.rstudio.com / GPL-2}
    \item{"lubridate" by G. Grolemund, V. Spinu, H. Wickham, I. Lyttle, I. Constigan, J. Law, D. Mitarotonda, J. Larmarange, J. Boiser & C. Lee from cran.rstudio.com / GPL-2}
    \item{"RgoogleMaps" by M. Loecher from cran.rstudio.com / GPL}
    \item{"SDMTools" by J. VanDerWal, L. Falconi, S. Januchowski, L. Shoo & C. Storlie from cran.rstudio.com / GPL-3}

  }
}

\author{
  Benjamin Ziepert. \email{feedback-psyosphere@analyse-gps.com}.

  Dr. Elze G. Ufkes \email{elze.ufkes@utwente.nl}.

  Dr. Ir. Peter W. de Vries \email{p.w.devries@utwente.nl}.

}
