
# Print title
cat("\nTesting distance_point()\n")

data(psyo)

# Calculations
point <- data.frame(lon = 4.936197, lat = 52.314701)
coordinates <- psyosphere::distance_point(psyo, point)

# Check results
if (NCOL(coordinates) != 6) { stop("Not enough columns") }
if (NROW(coordinates) != 15) { stop("Not rows") }
e <- val_psyo(coordinates); if (e != "") {stop(e)}
sum_dis <- sum(coordinates$dis_to_point_in_m)
if (round(sum_dis,7) != round(35591.797077915,7)) {
  stop("Result not as expected.")
}
