
cat("\nTesting plot_tracks()\n")

# Testing simple plot ----------------------------------------------------------

# Get data
data(psyo_rounds_map)
data(psyo_rounds2)
map <- psyo_rounds_map
tracks <- psyo_rounds2

# clean-up data
tracks <- psyosphere::average_duplicates(tracks)
tracks <- psyosphere::t_time_difference(tracks)
tracks <- psyosphere::mark_time_gaps(tracks)
tracks <- psyosphere::t_speed(tracks)
tracks <- psyosphere::mark_speed_gaps(tracks, 40)

descriptive <- psyosphere::des_summary(tracks, cgaps = c("speed_gap","time_gap"))

# If the map is outdated, run demo/data/data_psyo_rounds_map.R and build the
# package again.

plot <- psyosphere::plot_tracks(
  tracks, plot = map, cgaps = c("speed_gap","time_gap")
)
plot

# Check results
e <- psyosphere::val_var(plot, "ggplot"); if (e != "") {stop(e)}

# Testing one point ------------------------------------------------------------

point <- data.frame(lon = 0, lat = 0)
plot_point <- psyosphere::plot_tracks(point, plot = map, t_id = "")

# Check results
e <- val_var(plot_point, "ggplot"); if (e != "") {stop(e)}

# Testing manual zoom ---------------------------------------------------------

# Get data
data(psyo_rounds2)
man_zoom_t <- psyo_rounds2[1:10,]

# Plot data
man_plot <- psyosphere::plot_tracks(man_zoom_t, zoom = 15)
man_plot

# Check result
if (man_plot$zoom != 15) {stop("Wrong zoom level")}

# Testing reformatting color

if (psyosphere:::kml_format_color_private("bb00aaff") != "ffaa00bb") {
  stop("Wrong color")
}
